Openwall GNU/*/Linux - a small security-enhanced Linux distro for servers
[<prev] [next>] [<thread-prev] [thread-next>] [day] [month] [year] [list]
Date: Thu, 26 Jul 2012 15:40:57 +0400
From: gremlin@...mlin.ru
To: owl-dev@...ts.openwall.com
Subject: Re: vzctl 3.3 && CPT

On 26-Jul-2012 15:04:05 +0400, Vasily Kulikov wrote:

 > I tried to compile vzctl 3.3 on Owl and got a configure error --
 > it needs a new ploop library:
 > http://wiki.openvz.org/Download/ploop/1.4

Not really a problem...

 > (Also it needs pkg-config in Makefiles, but it is trivial to patch.)

Providing pkg-config is much better, as it's needed by many other
packages.

 > I tried to compile ploop and got another configure error: no libxml2
 > library. AFAICS, it is heavily used in container checkpoint-restart
 > process.

Same applies here: soon or later, we'll need it unconditionally.

 > We can do 3 things:
 > 1) remove libxml/CPT/ploop code from vzctl.
 > 2) add ploop and libxml2 libraries to Owl.
 > 3) stay at vzctl 3.0.23.
 > I'm going with (3) now as it doesn't limit our future wishes.
 > Forwardporting bitness patch will be rather simple, I guess.

I think the best solution is to stay at (3) while working on (2).


-- 
Alexey V. Vissarionov aka Gremlin from Kremlin
<gremlin  gremlin  ru>
GPG key ID: 0xEF3B1FA8, keyserver: hkp://subkeys.pgp.net
GPG key fingerprint: 8832 FE9F A791 F796 8AC9 6E4E 909D AC45 EF3B 1FA8

Powered by blists - more mailing lists

Your e-mail address:

Powered by Openwall GNU/*/Linux - Powered by OpenVZ